package com.chenyang.nse.bussiness.dao.table.core.findcharts;

import com.chenyang.nse.bussiness.dao.BaseDao;
import com.chenyang.nse.bussiness.entity.orm.table.core.findCharts.Echartsfive;
import java.util.List;
import java.util.Map;
import org.hibernate.transform.Transformers;
import org.springframework.stereotype.Repository;

@Repository
public class EchartsFiveDao extends BaseDao<Echartsfive, String> {
   public List<Map<String, Object>> findNameByVersionid(String taskid) {
      String sql = "select  sensitivetableNumber,versionName,taskName FROM t_core_findcharts_five WHERE taskid ='" + taskid + "'";
      List<Map<String, Object>> list = this.getSession().createNativeQuery(sql).setResultTransformer(Transformers.ALIAS_TO_ENTITY_MAP).getResultList();
      return list;
   }

   public List<Map<String, Object>> findNameByTask(String taskid) {
      String sql = "SELECT DISTINCT taskName FROM t_core_findcharts_five WHERE taskid ='" + taskid + "'";
      List<Map<String, Object>> list = this.getSession().createNativeQuery(sql).setResultTransformer(Transformers.ALIAS_TO_ENTITY_MAP).getResultList();
      return list;
   }
}
